
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

// einfache Liste mit Array
// Mit Scrollbox, Inhalt Liste, damit kann gecrollt werden

public class Liste02 extends JFrame {


  //Frame konstruieren
  public Liste02() {
     JButton bn1;
     JList jlist;
     JScrollPane scroll;
     String[] items;

    setSize(400, 320);
    setTitle("JList Liste02");

    this.getContentPane().setLayout ( new GridBagLayout() );


    // Array für die JList
    items = new String[20];
    for (int i=0; i<20; i++) {
      items[i] = Integer.toHexString(i+1)+" Auswahl";
    }

    jlist = new JList(items);
       // Generiere eine Scrollbox, Inhalt Liste, damit kann gecrollt werden
    scroll = new JScrollPane(jlist);

    this.getContentPane().add(scroll,
      new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER,
            GridBagConstraints.BOTH, new Insets(0,00,0,00), 0, 0));

    bn1 = new JButton("Ok");  // Label erzeugen
    this.getContentPane().add(bn1, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0,00,0,00), 0, 0));

    jlist.setFont( new Font("Arial", Font.BOLD,18)  );
    bn1.setFont( new Font("Arial", Font.BOLD,18)  );

  } // create



  //Überschreiben, damit das Programm bei Herunterfahren des Systems beendet werden kann
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }


  public static void main(String[] args) {
    Liste02 frame = new Liste02();
    frame.setVisible(true);

  }


}
